%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Library and tool implementing the AcoustID fingerprinting
Name:		chromaprint
Version:	1.0
Release:	6
License:	LGPLv2.1+
Group:		Sound
Url:		http://www.acoustid.org/chromaprint/
Source0:	https://github.com/downloads/lalinsky/chromaprint/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	fftw-devel >= 3
# This is needed for examples
BuildRequires:	ffmpeg-devel
BuildRequires:	boost-devel

%description
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.
The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%files
%doc README.txt
%{_bindir}/fpcalc

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library implementing the AcoustID fingerprinting
Group:		System/Libraries

%description -n %{libname}
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.
The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%files -n %{libname}
%doc CHANGES.txt COPYING.txt NEWS.txt README.txt
%{_libdir}/libchromaprint.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name} 
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files -n %{devname}
%{_includedir}/chromaprint.h
%{_libdir}/libchromaprint.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DBUILD_EXAMPLES=ON -DBUILD_TESTS=off
%make

%install
%makeinstall_std -C build


%changelog
* Thu Feb 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-6
+ Revision: d8f8674
- Bump release


